BizKitHub
DocsAPI ReferenceProduct/bff/product/bundle-item-add
postProductAdmin BFF

/bff/product/bundle-item-add

Adds a component to a bundle (sada), or increases its quantity when already present. Rejected (400) for nested bundles, bundles with variants, unpinned components with variants, and mixed VAT rates.

ProductpostBffProductBundle-item-add

Parameters

JSON body

Request body

application/json
productCodestringRequired

Bundle product code.

Examplestarter-set
componentCodestringRequired

Component product code.

Exampleshaker
componentVariantCodestringOptional

Component variant code. Required when the component has variants.

quantitynumberRequired

Units of the component in one bundle.

Range: 1–∞
Example2

Response schema

1 status code documented

200Success
successbooleanRequired

Response example

application/json
{
  "success": false
}

Request example

POST /bff/product/bundle-item-add

post
curl -X POST "https://api.bizkithub.com/bff/product/bundle-item-add" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "productCode": "starter-set",
  "componentCode": "shaker",
  "componentVariantCode": "example_componentVariantCode",
  "quantity": 2
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key